echo off/m

{microSQL procedure to illustrate screen-based reporting}

set display off
set upshift on

{Define the report menu}

case

draw pmrep +pmmenu
send @24,19

{Accept the required option}

accept

{Define the screen for reporting on prime ministers}

screen 1

draw pmrep +pmcols
send @25,1/green,b  <F1> for help

send @25,55/green,b  <Esc> to exit reporting

{Accept the required pm name}

enter into %pm_name @11,40/12/cy,b;

send @25,1/green,b

{Check that data for exactly one pm will be retrieved}

select count(*)
from   prime_minister
where  pm_name like '&pm_name%';

assign into %pm_count 0
fetch fields
fetch into %pm_count

{Display message if not ok}

if &pm_count = 0
  send /red,b
  pause /3  Cannot find this pm
else
  if &pm_count > 1
    send /red,b
    pause /3  This pm name is not unique
  else

    {Ok to proceed and select pm data}

    select *
    from   prime_minister
    where  pm_name like '&pm_name%';

    {Initialise cursor, redisplay pm name, and space over <esc> message}
  
    fetch fields
    fetch into %pm_name
    send @11,40/yellow,b/high &pm_name
    space @25,55/yellow/off,b/high 25

    {Display retrieved data}

    send /blue,b
    display next @16,17 
    display next @16,42 
    display next @16,65 
    display next @19,17 
    display next @19,73 
    send /green,b
    pause @25,1  Press a key to continue

  endif
endif

{Define the help panel}

panel

send @22,1/green,b  Enter the name of a prime minister
send @+1,1  or enough characters for a unique
send @+1,1  identification to be made.
pause @+1,1  Press a key to continue ...
send /yellow/off,b/high
space block 22,1 25,36
send @25,1/green,b/high  <F1> for help
space /yellow,b 0

{Define marriage screen}

screen 2

{Not implemented}

call 5
return

{Define recreation screen}

screen 3

{Not implemented}

call 5
return

{Define ministry screen}

screen 4

{Not implemented}

call 5
return

{Define deputy pm screen}

screen 5

{Not implemented}

send @24,1 /red,b  This option is not implemented
pause /3
return

{Define the exit screen}

screen 6

{Tidy up and return to calling procedure}

send @24,1/green,b  Loading main program ...
set display on
set upshift off
send /normal
